<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: File Index</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>File List</h1>Here is a list of all documented files with brief descriptions:<table>
  <tr><td class="indexkey"><b>Sylph.h</b> <a href="_sylph_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">csylph/<b>csylph.h</b> <a href="csylph_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Any.h</b> <a href="_any_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Application.h</b> <a href="_application_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>AppType.h</b> <a href="_app_type_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Array.h</b> <a href="_array_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>ByteBuffer.h</b> <a href="_byte_buffer_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<a class="el" href="_common_8h.html">Common.h</a> <a href="_common_8h-source.html">[code]</a></td><td class="indexvalue">This file is a shortcut to include many commonly used headers </td></tr>
  <tr><td class="indexkey">Sylph/Core/<a class="el" href="_comparable_8h.html">Comparable.h</a> <a href="_comparable_8h-source.html">[code]</a></td><td class="indexvalue">Include this file if you want your objects to be comparable with operator&lt; ,… </td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>CurrentFunction.h</b> <a href="_current_function_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Debug.h</b> <a href="_debug_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Dictionary.h</b> <a href="_dictionary_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Equals.h</b> <a href="_equals_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Exception.h</b> <a href="_exception_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>File.h</b> <a href="_file_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Foreach.h</b> <a href="_foreach_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Hash.h</b> <a href="_hash_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>HashMap.h</b> <a href="_hash_map_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>I18N.h</b> <a href="_i18_n_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Iterable.h</b> <a href="_iterable_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Iterator.h</b> <a href="_iterator_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Object.h</b> <a href="_object_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>PointerManager.h</b> <a href="_pointer_manager_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Primitives.h</b> <a href="_primitives_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Range.h</b> <a href="_range_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>String.h</b> <a href="_string_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>StringBuffer.h</b> <a href="_string_buffer_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>UncaughtExceptionHandler.h</b> <a href="_uncaught_exception_handler_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Util.h</b> <a href="_util_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/Core/<b>Vector.h</b> <a href="_vector_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>BufferedInputStream.h</b> <a href="_buffered_input_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>BufferedOutputStream.h</b> <a href="_buffered_output_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>FileInputStream.h</b> <a href="_file_input_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>FileIO.h</b> <a href="_file_i_o_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>FileOutputStream.h</b> <a href="_file_output_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>InputStream.h</b> <a href="_input_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>OutputStream.h</b> <a href="_output_stream_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/IO/<b>PrintWriter.h</b> <a href="_print_writer_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>GuessOS.h</b> <a href="_guess_o_s_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>LinuxBundleAppSelf.h</b> <a href="_linux_bundle_app_self_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>LinuxFHSAppSelf.h</b> <a href="_linux_f_h_s_app_self_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>MacOSAppSelf.h</b> <a href="_mac_o_s_app_self_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>MacOSFHSAppSelf.h</b> <a href="_mac_o_s_f_h_s_app_self_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey">Sylph/OS/<b>OS.h</b> <a href="_o_s_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
</table>
</div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
